package com.ruoyi.rc.domain;

import org.apache.commons.lang3.builder.ToStringBuilder;
import org.apache.commons.lang3.builder.ToStringStyle;
import com.ruoyi.common.annotation.Excel;
import com.ruoyi.common.core.domain.BaseEntity;

/**
 * 问卷对象 t_questionnaire
 * 
 * @author ruoyi
 * @date 2024-07-24
 */
public class TQuestionnaire extends BaseEntity
{
    private static final long serialVersionUID = 1L;

    /** id */
    private Long id;

    /** 审计记录id */
    @Excel(name = "审计记录id")
    private Long auditId;

    /** 章节id */
    @Excel(name = "章节id")
    private Long chapterId;

    /** 年份 */
    @Excel(name = "年份")
    private String year;

    /** 问卷类型 */
    @Excel(name = "问卷类型")
    private String type;

    /** 目录 */
    @Excel(name = "目录")
    private String directory;

    /** 序号 */
    @Excel(name = "序号")
    private Long code;

    /** 名称 */
    @Excel(name = "名称")
    private String name;

    /** YES/NO/NA */
    @Excel(name = "YES/NO/NA")
    private String yesNoNa;

    /** MinimumStandard */
    @Excel(name = "MinimumStandard")
    private String minimumStandard;

    /** Good Practices */
    @Excel(name = "Good Practices")
    private String goodPractices;

    /** 标准 */
    @Excel(name = "标准")
    private String standard;

    /** 完成情况 */
    @Excel(name = "完成情况")
    private String completionStatus;

    /** 负责人 */
    @Excel(name = "负责人")
    private Long personInCharge;

    private String personInChargeName;

    /** 审核人 */
    @Excel(name = "审核人")
    private Long reviewer;

    private String reviewerName;

    /** 备注 */
    @Excel(name = "备注")
    private String remarks;

    /** 装置id */
    @Excel(name = "装置id")
    private String deptId;

    /** 装置 */
    @Excel(name = "装置")
    private String deptName;

    public String getPersonInChargeName() {
        return personInChargeName;
    }

    public void setPersonInChargeName(String personInChargeName) {
        this.personInChargeName = personInChargeName;
    }

    public String getReviewerName() {
        return reviewerName;
    }

    public void setReviewerName(String reviewerName) {
        this.reviewerName = reviewerName;
    }

    public String getDeptName() {
        return deptName;
    }

    public void setDeptName(String deptName) {
        this.deptName = deptName;
    }
    public void setId(Long id) 
    {
        this.id = id;
    }

    public Long getId() 
    {
        return id;
    }
    public void setAuditId(Long auditId) 
    {
        this.auditId = auditId;
    }

    public Long getAuditId() 
    {
        return auditId;
    }
    public void setChapterId(Long chapterId) 
    {
        this.chapterId = chapterId;
    }

    public Long getChapterId() 
    {
        return chapterId;
    }
    public void setYear(String year) 
    {
        this.year = year;
    }

    public String getYear() 
    {
        return year;
    }
    public void setType(String type) 
    {
        this.type = type;
    }

    public String getType() 
    {
        return type;
    }
    public void setDirectory(String directory) 
    {
        this.directory = directory;
    }

    public String getDirectory() 
    {
        return directory;
    }
    public void setCode(Long code) 
    {
        this.code = code;
    }

    public Long getCode() 
    {
        return code;
    }
    public void setName(String name) 
    {
        this.name = name;
    }

    public String getName() 
    {
        return name;
    }
    public void setYesNoNa(String yesNoNa) 
    {
        this.yesNoNa = yesNoNa;
    }

    public String getYesNoNa() 
    {
        return yesNoNa;
    }
    public void setMinimumStandard(String minimumStandard) 
    {
        this.minimumStandard = minimumStandard;
    }

    public String getMinimumStandard() 
    {
        return minimumStandard;
    }
    public void setGoodPractices(String goodPractices) 
    {
        this.goodPractices = goodPractices;
    }

    public String getGoodPractices() 
    {
        return goodPractices;
    }
    public void setStandard(String standard) 
    {
        this.standard = standard;
    }

    public String getStandard() 
    {
        return standard;
    }
    public void setCompletionStatus(String completionStatus) 
    {
        this.completionStatus = completionStatus;
    }

    public String getCompletionStatus() 
    {
        return completionStatus;
    }
    public void setPersonInCharge(Long personInCharge) 
    {
        this.personInCharge = personInCharge;
    }

    public Long getPersonInCharge() 
    {
        return personInCharge;
    }
    public void setReviewer(Long reviewer) 
    {
        this.reviewer = reviewer;
    }

    public Long getReviewer() 
    {
        return reviewer;
    }
    public void setRemarks(String remarks) 
    {
        this.remarks = remarks;
    }

    public String getRemarks() 
    {
        return remarks;
    }
    public void setDeptId(String deptId) 
    {
        this.deptId = deptId;
    }

    public String getDeptId() 
    {
        return deptId;
    }

    @Override
    public String toString() {
        return new ToStringBuilder(this,ToStringStyle.MULTI_LINE_STYLE)
            .append("id", getId())
            .append("auditId", getAuditId())
            .append("chapterId", getChapterId())
            .append("year", getYear())
            .append("type", getType())
            .append("directory", getDirectory())
            .append("code", getCode())
            .append("name", getName())
            .append("yesNoNa", getYesNoNa())
            .append("minimumStandard", getMinimumStandard())
            .append("goodPractices", getGoodPractices())
            .append("standard", getStandard())
            .append("completionStatus", getCompletionStatus())
            .append("personInCharge", getPersonInCharge())
            .append("reviewer", getReviewer())
            .append("remarks", getRemarks())
            .append("deptId", getDeptId())
            .toString();
    }
}
